[ARM Testing Update] 2020-06-04 - Gnome, Pamac, Linux Firmware and kernels

Hello ARM community.

A smaller testing update this time!


Some highlights:

  • Some of our kernels got updated
  • Gnome is now at version 3.36.3
  • Updated pamac to 9.5.2
  • A new linux-firmware package
  • Lots of python packages got updated

Upstream Notifications:

Older notifications

The nss package requires manual intervention:
https://www.archlinux.org/news/nss3511-1-and-lib32-nss3511-1-updates-require-manual-intervention/
The packages hplip and firewalld requires manual intervention:
https://www.archlinux.org/news/hplip-3203-2-update-requires-manual-intervention/
https://www.archlinux.org/news/firewalld081-2-update-requires-manual-intervention/


Package Changes (Thu Jun 4 09:34:30 CEST 2020)

  • arm-testing community aarch64: 313 new and 288 removed package(s)
  • arm-testing core aarch64: 19 new and 19 removed package(s)
  • arm-testing extra aarch64: 132 new and 134 removed package(s)
:: Different overlay package(s) in repository community aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-05-29         2020-06-04
-------------------------------------------------------------------------------
                            electron              9.0.0-1              9.0.1-1
                firmware-raspberrypi                6-1.1                6-1.3
                          rpi-eeprom         2020.05.27-1         2020.05.28-1


:: Different sync package(s) in repository community aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-05-29         2020-06-04
-------------------------------------------------------------------------------
                           alacritty              0.4.2-2              0.4.3-1
                            allegro4            4.4.3.1-2            4.4.3.1-3
                       arc-gtk-theme           20190917-1           20200513-1
                 arc-solid-gtk-theme           20190917-1           20200513-1
                               arcus              4.5.0-1              4.5.0-2
                     arduino-builder              1.5.3-1              1.5.3-2
                           aspell-pl           20200327-1           20200530-1
                            autopep8            1:1.5.2-1            1:1.5.3-1
                            backuppc              4.3.2-1              4.3.2-2
                                 bat             0.15.1-1             0.15.4-1
                             blender          17:2.82.a-6          17:2.82.a-8
                                 bpf                5.6-1                5.7-1
                               broot             0.13.6-1             0.14.2-1
                         browserpass              3.0.6-4              3.0.6-5
                       cataclysm-dda                0.E-1              0.E.2-1
                 cataclysm-dda-tiles                0.E-1              0.E.2-1
                             certbot              1.4.0-1              1.5.0-1
                      certbot-apache              1.4.0-1              1.5.0-1
              certbot-dns-cloudflare              1.4.0-1              1.5.0-1
                certbot-dns-cloudxns              1.4.0-1              1.5.0-1
            certbot-dns-digitalocean              1.4.0-1              1.5.0-1
                certbot-dns-dnsimple              1.4.0-1              1.5.0-1
             certbot-dns-dnsmadeeasy              1.4.0-1              1.5.0-1
                  certbot-dns-gehirn              1.4.0-1              1.5.0-1
                  certbot-dns-google              1.4.0-1              1.5.0-1
                  certbot-dns-linode              1.4.0-1              1.5.0-1
                  certbot-dns-luadns              1.4.0-1              1.5.0-1
                   certbot-dns-nsone              1.4.0-1              1.5.0-1
                     certbot-dns-ovh              1.4.0-1              1.5.0-1
                 certbot-dns-rfc2136              1.4.0-1              1.5.0-1
                 certbot-dns-route53              1.4.0-1              1.5.0-1
             certbot-dns-sakuracloud              1.4.0-1              1.5.0-1
                       certbot-nginx              1.4.0-1              1.5.0-1
               cgroup_event_listener                5.6-1                5.7-1
                            cinnamon              4.6.1-1              4.6.2-1
                          clementine           1.4.0rc1-2           1.4.0rc1-3
                            clipgrab             3.8.11-1             3.8.12-1
                             cockpit                219-1                220-1
                   cockpit-dashboard                219-1                220-1
                      cockpit-docker                219-1                220-1
                    cockpit-machines                219-1                220-1
                         cockpit-pcp                219-1                220-1
                            collectd             5.11.0-1             5.11.0-3
                              conmon           1:2.0.16-1           1:2.0.17-1
                          cozy-stack            1:1.4.7-1           1:1.4.12-1
                            cpupower                5.6-1                5.7-1
                           cuneiform             1.1.0-19             1.1.0-20
                          curaengine              4.5.0-1              4.5.0-2
                                dart              2.8.2-1              2.8.3-1
                                dfrs              0.0.3-1              0.0.4-1
                         dns-lexicon             3.3.22-2             3.3.24-1
                              docker          1:19.03.9-1         1:19.03.11-1
                              docopt              0.6.2-1              0.6.2-2
                            dokuwiki         20180422_b-1         20180422_c-1
                              dqlite              1.4.2-1              1.4.4-1
                          emscripten            1.39.16-1            1.39.16-2
                           etherwall              2.4.0-3              2.4.0-4
                              fcitx5     0.0.0.20200528-1     0.0.0.20200603-1
               fcitx5-chinese-addons     0.0.0.20200528-1     0.0.0.20200602-1
                           fcitx5-qt     0.0.0.20200527-1     0.0.0.20200528-1
                       ffmpeg2theora               0.30-4               0.30-6
     firefox-extension-privacybadger          2020.5.12-1           2020.6.2-1
                   firefox-tridactyl             1.19.0-1             1.19.1-1
               firefox-ublock-origin             1.27.8-1            1.27.10-1
                              fossil               2.10-1               2.11-1
                              foxdot              0.8.7-1              0.8.8-1
                         geoipupdate              4.3.0-1              4.3.0-2
                               gitea             1.11.5-1             1.11.6-1
                                gmtp             1.3.11-1             1.3.11-2
                     gnome-subtitles                1.6-1                1.6-2
                                  go           2:1.14.3-1           2:1.14.4-1
                          go-bindata              3.5.2-1              3.5.2-2
                          gpio-utils                5.6-1                5.7-1
                                grpc             1.28.1-1             1.29.1-1
                            grpc-cli             1.28.1-1             1.29.1-1
                       gxplugins.lv2                0.7-2                0.8-1
                             haproxy              2.1.4-1              2.1.5-1
                            htmlhint             0.13.0-1             0.14.0-1
                         hunspell-pl           20200327-1           20200530-1
                            hyperion            1.03.2-20            1.03.2-21
                              hyperv                5.6-1                5.7-1
                                i2pd             2.31.0-1             2.32.1-1
                           iio-utils                5.6-1                5.7-1
                             ipython             7.14.0-2             7.15.0-1
                                jake             10.7.1-1             10.8.1-1
                           java-rxtx          2.2pre2-6.1            2.2pre2-7
                             jenkins              2.237-1              2.238-1
                                jmol            14.30.2-1            14.31.0-1
                               jsmol            14.30.2-1            14.31.0-1
                          jupyterlab              2.1.3-1              2.1.4-1
                                 k9s             0.19.7-1             0.20.2-1
                           kcm-fcitx              0.5.5-3              0.5.6-1
                          kcm-fcitx5     0.0.0.20200528-1     0.0.0.20200601-1
                               knemo  0.7.7.git20151003-3                    -
                                knot              2.9.5-1              2.9.5-2
                                 kup              0.7.3-5              0.8.0-1
                             l3afpad        0.8.18.1.11-4        0.8.18.1.11-5
                              lhapdf              6.2.3-5              6.2.3-6
                       libafterimage               1.20-4               1.20-5
                            libffado              2.4.2-3              2.4.3-1
                              libime     0.0.0.20200528-1     0.0.0.20200602-1
                             liblxqt             0.15.0-2             0.15.1-1
                        libmediainfo              19.09-1              20.03-1
            libretro-beetle-pce-fast                971-1                976-1
                 libretro-beetle-psx               2284-1               2313-1
              libretro-beetle-psx-hw               2284-1               2313-1
          libretro-beetle-supergrafx                808-1                810-1
                  libretro-core-info              1.8.6-1              1.8.8-1
                       libretro-mgba               6701-1               6706-1
                   libretro-nestopia               1:15-1               1:17-1
                       libretro-play               5652-2               5668-1
                    libretro-redream               1083-1                    -
                       libsemigroups              1.0.9-1              1.1.0-1
                           libsigrok              0.5.2-2              0.5.2-3
                       libtraceevent                5.6-1                5.7-1
                             libvirt             5.10.0-3              6.4.0-1
                      libvirt-python             5.10.0-1              6.4.0-1
                              libzen             0.4.37-2             0.4.38-2
                    linux-tools-meta                5.6-1                5.7-1
                            lollypop             1.2.35-1              1.3.0-1
                         lsp-plugins             1.1.21-1             1.1.22-1
                         lua-cqueues           20190813-1           20200603-1
                       lua51-cqueues           20190813-1           20200603-1
                       lua52-cqueues           20190813-1           20200603-1
                       lxqt-qtplugin             0.15.0-1             0.15.1-1
                              mcomix         1.3.0.dev0-2         1.3.0.dev0-3
                           mediainfo              19.09-1              20.03-1
                       mediainfo-gui              19.09-1              20.03-1
                            minitube                3.3-1                3.4-1
                       mod_passenger              6.0.4-3              6.0.5-1
                                mosh           1.3.2-11.1             1.3.2-12
                              muffin              4.6.0-1              4.6.1-1
                              mumble              1.3.0-8              1.3.0-9
                              murmur              1.3.0-7              1.3.0-8
                                ncdu             1.14.2-1               1.15-1
                                nemo              4.6.1-1              4.6.2-1
                 nextcloud-app-notes              3.3.1-1              3.4.0-1
                      nginx-mainline            1.17.10-1             1.19.0-1
                 nginx-mod-passenger              6.0.4-3              6.0.5-1
                         nodejs-less             3.11.1-1             3.11.2-1
                              nsjail                2.9-4                2.9-5
                            nvme-cli             1.11.1-1             1.11.2-1
                              opencc              1.1.1-2              1.1.1-3
                          opencc-doc              1.1.1-2              1.1.1-3
                         openimageio           2.1.13.0-3           2.1.16.0-1
                            openntpd              6.2p3-3              6.2p3-4
                 openshadinglanguage            1.10.10-2            1.10.11-1
                           opensmtpd            6.7.1p1-2            6.7.1p1-3
                       otter-browser             1.0.01-2             1.0.01-3
           otter-browser-nowebengine             1.0.01-2             1.0.01-3
                           pam_mount               2.16-6               2.16-7
          pantheon-applications-menu              2.6.0-1              2.7.1-1
                     pantheon-camera              1.0.5-1              1.0.6-1
                      pantheon-files              4.4.2-1              4.4.3-1
               pantheon-polkit-agent              1.0.1-1              1.0.2-1
           pantheon-shortcut-overlay              1.1.1-1              1.1.2-1
                  papirus-icon-theme           20200430-1           20200602-1
                           partimage             0.6.9-12             0.6.9-13
                           passenger              6.0.4-3              6.0.5-1
                             pcmanfm              1.3.1-1              1.3.1-2
                        pcmanfm-gtk3              1.3.1-1              1.3.1-2
                                 pcp              5.1.0-1              5.1.1-1
                               pdfjs            2.4.456-1            2.5.207-1
                                perf                5.6-1                5.7-1
                    perl-test2-suite           0.000129-1           0.000130-1
                          photoflare              1.6.4-1              1.6.4-2
                            php-grpc             1.28.1-1             1.29.1-1
                              pitivi              0.999-3              0.999-4
                             postgis              3.0.1-2              3.0.1-3
                            powerdns              4.2.2-1              4.2.2-2
                   powerdns-recursor              4.2.2-1              4.3.1-1
                               pyrit              0.5.0-3              0.5.0-4
                         python-acme              1.4.0-1              1.5.0-1
                     python-aiofiles              0.4.0-4              0.5.0-1
                 python-aioitertools              0.7.0-1              0.7.0-2
                 python-aioresponses              0.6.3-1              0.6.4-1
                       python-astral                2.1-1                2.2-1
           python-aws-sam-translator             1.23.0-1             1.24.0-1
                      python-blessed             1.17.5-1             1.17.6-1
                        python-build              0.0.1-1              0.0.2-1
                    python-chameleon              3.7.1-1              3.7.2-1
            python-dephell-specifier              0.2.1-3              0.2.2-1
                     python-django-q              1.2.1-1              1.2.3-1
                       python-dnslib             0.9.12-1             0.9.13-1
                       python-docker              4.2.0-1              4.2.1-1
                      python-dulwich            0.19.16-1             0.20.2-1
                    python-fonttools             4.10.2-1             4.11.0-1
                       python-gevent             20.5.1-1             20.5.2-1
                    python-gitpython              3.1.2-1              3.1.3-1
                  python-google-auth             1.11.3-1             1.16.0-1
                     python-graphene              2.1.3-2            3.0.0b2-1
                 python-graphql-core              3.1.0-1              3.1.1-1
                python-graphql-relay              0.4.5-3              3.0.0-1
          python-graphql-server-core              1.1.1-2              2.0.0-1
                       python-grpcio             1.28.1-1             1.29.1-1
                     python-identify             1.4.17-1             1.4.18-1
                    python-jellyfish              0.7.2-3              0.8.2-1
                  python-marshmallow              3.6.0-1              3.6.1-1
       python-marshmallow-sqlalchemy             0.23.0-1             0.23.1-1
                         python-mpd2              1.0.0-5              1.1.0-1
                      python-nodeenv              1.3.5-1              1.4.0-1
                      python-osc-lib              2.0.0-1              2.1.0-1
                  python-oslo-config              8.0.2-1              8.1.0-1
                      python-oslo-db              8.1.0-1              8.2.0-1
                     python-oslo-log              4.1.1-1              4.2.0-1
                python-parsedatetime                2.5-1                2.6-1
                      python-pikepdf             1.13.0-1             1.14.0-1
                         python-pint               0.11-1               0.12-1
                       python-pipenv         2018.11.26-3           2020.6.2-1
                       python-prance             0.18.2-1             0.18.3-1
                     python-prawcore              1.3.0-1              1.4.0-1
                  python-pysol_cards             0.8.16-1             0.8.18-1
                       python-pytest              5.4.2-1              5.4.3-1
                  python-pytest-trio              0.5.2-2              0.6.0-1
                        python-quart             0.11.4-1             0.12.0-1
                        python-redis              3.5.2-1              3.5.3-1
              python-requirementslib              1.5.9-1             1.5.11-1
                       python-scramp              1.1.1-1              1.2.0-1
                         python-trio             0.14.0-1             0.15.1-1
                     python-waitress              1.4.3-1              1.4.4-1
                    python2-autopep8            1:1.5.2-1            1:1.5.3-1
                      python2-gevent             20.5.1-1             20.5.2-1
                    python2-waitress              1.4.3-1              1.4.4-1
                        python2-zipp            1:1.1.0-1            1:1.1.1-1
                         qutebrowser             1.11.1-1             1.12.0-1
                                raft             0.9.21-1             0.9.22-1
                            razercfg               0.41-2               0.42-1
                               redis              6.0.3-1              6.0.4-1
                           retroarch              1.8.7-1              1.8.8-1
              retroarch-assets-ozone              1:300-1              1:317-1
                retroarch-assets-xmb              1:300-1              1:317-1
                          rime-essay     0.0.0.20200207-1     0.0.0.20200528-1
                             ripgrep             12.1.0-1             12.1.1-1
                              rmlint              2.9.0-2             2.10.0-1
                     rmlint-shredder              2.9.0-2             2.10.0-1
                            rofimoji              4.1.1-1              4.2.0-1
                       rust-analyzer           20200525-1           20200601-1
            shadowsocks-v2ray-plugin              1.3.0-2              1.3.1-1
                         simple-scan           3.36.2.1-1             3.36.3-1
                           skk-jisyo           20200517-1           20200531-1
                           sniffglue             0.10.1-1             0.11.1-1
                       spice-vdagent             0.20.0-1  0.20.0+6+g8adf50d-1
                  sqlite-replication           3.31.1.4-1           3.32.1.4-1
                                sssd              2.3.0-1              2.3.0-2
                          strawberry             0.6.11-1             0.6.11-2
                          streamlink              1.3.1-1              1.4.1-1
              switchboard-plug-about              2.6.2-1              2.6.3-1
          switchboard-plug-bluetooth              2.3.1-1              2.3.2-1
           switchboard-plug-datetime              2.1.7-1              2.1.9-1
            switchboard-plug-display              2.2.1-1              2.2.2-1
             switchboard-plug-locale              2.5.1-1              2.5.2-1
     switchboard-plug-mouse-touchpad              2.4.1-1              2.4.2-1
            switchboard-plug-network              2.2.0-1              2.3.1-1
      switchboard-plug-notifications              2.1.6-1              2.1.7-1
  switchboard-plug-parental-controls              3.0.0-1              3.0.1-1
           switchboard-plug-printers              2.1.8-1              2.1.9-1
              switchboard-plug-sound              2.2.3-1              2.2.4-1
                           terraform            0.12.25-1            0.12.26-1
                              tipp10              3.1.0-1              3.2.0-1
                                tmon                5.6-1                5.7-1
                               tokei             11.1.1-1             11.2.1-1
                             ts-node             8.10.1-1             8.10.2-1
                              tt-rss  2:r9844.8ad523fce-1  2:r9913.ac17ded85-1
                       tty-solitaire              1.1.1-2              1.3.0-1
                               udpxy          1.0.23.12-1          1.0.23.12-2
                             umurmur            0.2.17-17            0.2.17-18
                             unbound             1.10.1-1             1.10.1-2
                          unrealircd              5.0.5-1            5.0.5.1-1
                           uriparser              0.9.3-1              0.9.4-1
                               usbip                5.6-1                5.7-1
                               v2ray             4.23.1-2             4.23.3-1
         v2ray-domain-list-community       202005271609-1       202006030611-1
                         v2ray-geoip       202005270003-1       202006030003-1
                              wcslib                7.2-2                7.3-1
        wingpanel-indicator-datetime              2.2.2-1              2.2.4-1
         wingpanel-indicator-network              2.2.3-1              2.2.4-1
                                 wit              3.01a-1              3.02a-1
                                 wlc             0.0.11-1             0.0.11-2
                               xapps              1.8.5-1              1.8.6-1
                            xcur2png              0.7.1-6              0.7.1-7
                                xosd             2.2.14-9            2.2.14-10
                           yggdrasil             0.3.14-1             0.3.14-2
                          youtube-dl         2020.05.08-1         2020.05.29-1
                             ziproxy              3.3.1-2              3.3.1-3
             zsh-theme-powerlevel10k             1.10.1-3             1.11.0-1
                        avisynthplus                    -              3.6.0-2
                             fusesoc                    -               1.10-1
                 libretro-retrodream                    -               1096-1
             libvirt-storage-gluster                    -              6.4.0-1
        libvirt-storage-iscsi-direct                    -              6.4.0-1
                                 nut                    -              2.7.4-1
                        openethereum                    -              3.0.1-1
                           pdfslicer                    -              1.8.5-1
                      python-edalize                    -              0.2.2-1
                      python-fastapi                    -             0.55.1-1
                         python-flit                    -              2.3.0-4
                    python-flit-core                    -              2.3.0-4
                    python-httptools                    -              0.1.1-2
                      python-install                    -              0.0.2-1
                      python-ipyxact                    -              0.2.4-1
                  python-meilisearch                    -             0.10.1-1
                  python-okonomiyaki                    -              1.2.0-2
                         python-py3c                    -                1.1-2
                     python-pydantic                    -              1.5.1-1
            python-pyproject2setuppy                    -                  7-1
                      python-pypugjs                    -              5.9.4-1
                    python-simplesat                    -              0.8.2-1
                    python-starlette                    -             0.13.4-1
                       python-uvloop                    -             0.14.0-1
                     python-watchgod                    -                0.6-1
                           screenkey                    -                1.1-2
                             uvicorn                    -             0.11.5-1


:: Different overlay package(s) in repository core aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-05-29         2020-06-04
-------------------------------------------------------------------------------
                          filesystem            2019.04-1            2020.05-1
                       linux-aarch64             5.6.15-1              5.7.0-1
               linux-aarch64-headers             5.6.15-1              5.7.0-1
                    linux-aarch64-rc            5.7.rc7-5            5.7.rc7-8
            linux-aarch64-rc-headers            5.7.rc7-5            5.7.rc7-8


:: Different sync package(s) in repository core aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-05-29         2020-06-04
-------------------------------------------------------------------------------
                           amd-ucode   20200421.78c0348-1   20200519.8ba6fa6-1
             ca-certificates-mozilla             3.52.1-2               3.53-1
                          cryptsetup              2.3.2-2              2.3.3-1
                       device-mapper           2.02.187-2           2.02.187-3
                              dhcpcd              9.0.2-1              9.1.0-1
                        libgpg-error               1.37-1               1.38-1
                               links             2.20.2-2             2.20.2-3
                      linux-firmware   20200421.78c0348-1   20200519.8ba6fa6-1
                                lvm2           2.02.187-2           2.02.187-3
                                 nss             3.52.1-2               3.53-1
                             systemd              245.5-2              245.6-1
                        systemd-libs              245.5-2              245.6-1
                  systemd-resolvconf              245.5-2              245.6-1
                  systemd-sysvcompat              245.5-2              245.6-1


:: Different overlay package(s) in repository extra aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-05-29         2020-06-04
-------------------------------------------------------------------------------
                            mesa-git20.2.0_devel.124253.a5a413e19a8-120.2.0_devel.124421.aaec065f03e-1
                           pamac-cli              9.5.1-1              9.5.2-1
                        pamac-common              9.5.1-1              9.5.2-1
                pamac-flatpak-plugin              9.5.1-1              9.5.2-1
                           pamac-gtk              9.5.1-1              9.5.2-1
                   pamac-snap-plugin              9.5.1-1              9.5.2-1
             pamac-tray-appindicator              9.5.1-1              9.5.2-1


:: Different sync package(s) in repository extra aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-05-29         2020-06-04
-------------------------------------------------------------------------------
                            apparmor             2.13.4-4             2.13.4-5
                           audacious              4.0.3-1              4.0.4-1
                   audacious-plugins              4.0.3-1              4.0.4-1
                              breezy            3.0.2.3-2            3.0.2.3-3
                        capi4hylafax            010300-11                    -
                            chromium       83.0.4103.61-1       83.0.4103.61-2
                               cmake             3.17.2-2             3.17.3-1
                               cmark             0.29.0-1             0.29.0-2
                          convertlit                1.8-9               1.8-10
                               eigen              3.3.7-5              3.3.7-6
                            epiphany             3.36.1-2             3.36.2-1
                              evince             3.36.1-2             3.36.3-1
                           evolution             3.36.2-1             3.36.3-1
                evolution-bogofilter             3.36.2-1             3.36.3-1
               evolution-data-server             3.36.2-2             3.36.3-2
                       evolution-ews             3.36.2-1             3.36.3-1
              evolution-spamassassin             3.36.2-1             3.36.3-1
                           farstream              0.2.9-1              0.2.9-2
                                 feh                3.4-1              3.4.1-1
                                 fmt              6.2.1-1              6.2.1-3
                         foomatic-db         3:20200428-1         3:20200529-1
                 foomatic-db-nonfree         3:20200428-1         3:20200529-1
            foomatic-db-nonfree-ppds         3:20200428-1         3:20200529-1
                    foomatic-db-ppds         3:20200428-1         3:20200529-1
                       four-in-a-row             3.36.2-1             3.36.3-1
                                 gdb                9.1-4                9.2-1
                          gdb-common                9.1-4                9.2-1
                                 git             2.26.2-1             2.27.0-1
                                 gjs           2:1.64.2-1           2:1.64.3-1
                     glib-networking             2.64.2-1             2.64.3-1
                          gnome-2048             3.36.2-1             3.36.3-1
                         gnome-chess             3.36.0-1             3.36.1-1
                gnome-control-center             3.36.2-1             3.36.3-1
                       gnome-klotski             3.36.2-1             3.36.3-1
                         gnome-music           1:3.36.2-1           1:3.36.3-1
                         gnome-shell1:3.36.2+7+ge4199c71c-1           1:3.36.3-1
                gnome-system-monitor             3.36.0-1             3.36.1-1
                        gnome-taquin             3.36.2-1             3.36.3-1
                      gnome-tetravex             3.36.2-1             3.36.3-1
                     grml-zsh-config             0.17.0-1             0.17.1-1
                      gtksourceview3            3.24.11-13.24.11+28+g73e57b57-1
                            harfbuzz              2.6.6-1              2.6.7-1
                        harfbuzz-icu              2.6.6-1              2.6.7-1
                               hefur               0.6-10               0.6-11
                           hyphen-it           20071127-4           20071127-5
                               iagno             3.36.2-1             3.36.3-1
                 ibus-typing-booster              2.8.3-1              2.9.1-1
                               icewm              1.6.5-1              1.6.6-1
                         imagemagick          7.0.10.14-1          7.0.10.16-2
                     imagemagick-doc          7.0.10.14-1          7.0.10.16-2
                            kdevelop              5.5.1-1              5.5.2-1
                        kdevelop-php              5.5.1-1              5.5.2-1
                     kdevelop-python              5.5.1-1              5.5.2-1
                                kexi              3.2.0-1              3.2.0-2
                              kismet         2020_04_R2-1         2020_04_R2-2
                             konsole            20.04.1-1            20.04.1-3
                               krita              4.2.9-4              4.2.9-5
                               lcms2                2.9-3               2.10-1
                            libfido2              1.4.0-3              1.4.0-4
                             libgadu            1.12.2-11            1.12.2-13
                          libgphoto2             2.5.24-1             2.5.25-1
                             libheif              1.6.2-2              1.7.0-1
                         libktorrent              2.1.1-1              2.1.1-2
                          libmagick6          6.9.11.13-1          6.9.11.15-1
                     libmusicbrainz5              5.1.0-3              5.1.0-4
               libnautilus-extension             3.36.2-1             3.36.3-1
                               libnm             1.24.0-1             1.24.2-1
                      libphonenumber             8.11.5-2             8.12.3-1
                              libqmi            1.24.12-1            1.24.14-1
                             librsvg           2:2.48.4-1           2:2.48.6-1
                          libtommath              1.2.0-2              1.2.0-3
                                 lld             10.0.0-2             10.0.0-3
                                md4c              0.4.3-1              0.4.4-1
                          messagelib            20.04.1-1            20.04.1-2
                           misdnuser             2.0.22-2                    -
                      mkvtoolnix-cli             46.0.0-1             47.0.0-1
                      mkvtoolnix-gui             46.0.0-1             47.0.0-1
                               munin             2.0.61-1             2.0.63-2
                          munin-node             2.0.61-1             2.0.63-2
                              mutter             3.36.2-1             3.36.3-1
                            nautilus             3.36.2-1             3.36.3-1
                              netpbm           10.73.31-1           10.73.31-3
                      networkmanager             1.24.0-1             1.24.2-1
                      nm-cloud-setup             1.24.0-1             1.24.2-1
                           npapi-sdk             0.27.2-2             0.27.2-3
                                orca             3.36.2-1             3.36.3-1
                     perl-date-manip               6.81-1               6.82-1
                 perl-perl4-corelibs              0.004-4              0.004-5
                              polari             3.36.2-1             3.36.3-1
                           portaudio           1:19.6.0-6           1:19.6.0-7
            prometheus-node-exporter             0.18.1-6              1.0.0-1
                            protobuf             3.11.4-1             3.12.0-1
                          protobuf-c              1.3.3-1              1.3.3-2
                        pyqt-builder              1.3.2-1              1.4.0-1
                         python-cffi             1.14.0-2             1.14.0-3
                       python-django              3.0.6-1              3.0.6-2
                    python-hyperlink             19.0.0-4             19.0.0-6
                         python-mako              1.1.2-3              1.1.3-1
            python-prometheus_client              0.7.1-4              0.8.0-1
                     python-protobuf             3.11.4-1             3.12.0-1
                   python-setuptools           1:46.4.0-1           1:47.1.1-1
                        python2-cffi             1.14.0-2             1.14.0-3
                   python2-hyperlink             19.0.0-4             19.0.0-6
                               rav1e              0.3.1-4              0.3.2-1
                                 re2         1:20200501-1         1:20200601-1
                            rubygems              3.1.2-5              3.1.3-1
                         sbsigntools              0.9.3-1              0.9.3-2
                                sip5              5.2.0-1              5.3.0-1
                             spandsp              0.0.6-2              0.0.6-3
                              strace                5.6-1                5.7-1
                          tamu-anova              0.2.1-6              0.2.1-7
                             tomcat7            7.0.100-1            7.0.104-1
                             tomcat8             8.5.51-1             8.5.55-1
                             tomcat9             9.0.34-1             9.0.35-1
                            usbguard              0.7.5-3              0.7.5-4
                                 vlc             3.0.10-1             3.0.10-2
                          vte-common             0.60.2-2             0.60.3-1
                                vte3             0.60.2-2             0.60.3-1
                   vulkan-icd-loader            1.2.140-1            1.2.141-1
                          x2goclient            4.1.2.2-1            4.1.2.2-2
                          x2goserver            4.1.0.3-4            4.1.0.3-5
                    xkeyboard-config               2.29-1               2.30-1
                        zabbix-agent              4.4.8-1              5.0.0-1
                       zabbix-agent2              4.4.8-1              5.0.0-1
                 zabbix-frontend-php              4.4.8-1              5.0.0-1
                        zabbix-proxy              4.4.8-1              5.0.0-1
                       zabbix-server              4.4.8-1              5.0.0-1


Testers needed on arm-testing branch
We are in need of testers for our arm-testing and arm-unstable branches.
So if you are adventurous and want newer software quicker, we would love for you to help us test out the new packages in arm-testing branch.

All you have to do to switch to this branch is:

  • Edit /etc/pacman-mirrors.conf and change Branch = arm-stable to Branch = arm-testing.
  • Run this command: sudo pacman-mirrors -f5 && sudo pacman -Syyu. This will generate a new mirrorlist for you, sync your databases with the new mirror and update your system using the arm-testing branch.

We would then love for you to give feedback in our update posts in #manjaro-arm:arm-testing-updates. That way we can better find and fix bugs, before they hit arm-stable branch. Thank you!


  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

1 Like

Known Issues and Solutions

This is a wiki post, please edit it when you find a solution to an issue you encountered

Old Issues

Manual interventions:
The nss and zn_poly packages prior to version 3.51.1-1 and version 0.9.2-2 respectively, were missing a soname link each. This has been fixed in 3.51.1-1 and 0.9.2-2 of these packages, so the upgrade will need to overwrite the untracked files created by ldconfig. If you get any of these errors

nss: /usr/lib/p11-kit-trust.so exists in filesystem
zn_poly: /usr/lib/libzn_poly-0.9.so  exists in filesystem

when updating, use

pacman -Syu --overwrite /usr/lib/p11-kit-trust.so --overwrite /usr/lib/libzn_poly-0.9.so

to perform the upgrade.

Device stopped booting after Uboot update
The uboot update included a change to the extlinux.conf file. This change will be incompatible with the old 1 partition layout of some devices.
So if you are updating installs made with images 20.02.1 or older, you need to apply this fix before rebooting!
To fix this please edit your /boot/extlinux/extlinux.conf file and add 2 periods in front of each first slash, like so:

KERNEL ../Image
FDT ../dtbs/ #etc.
APPEND initrd=../initramfs-linux.img #etc.

Save the file and reboot.

Hi,

Can I switch my c4 running with the arm-testing branch to the stable branch without damage ?

##
## /etc/pacman-mirrors.conf
##

## Branch Pacman should use (stable, testing, unstable)
Branch = arm-testing

## Generation method
## 1) rank   - rank mirrors depending on their access time
## 2) random - randomly generate the output mirrorlist
# Method = rank

## Filename to use when ranking mirrors
## The file must be present in core repo
# TestFile = core.db.tar.gz

## Define protocols and priority
##   separated by comma 'https,http' or 'http,https'
## ATM available protocols are: http, https, ftp
## Not specifying a protocol will ban the protocol from being used
## If a mirror has more than one protocol defined only the first is written to the mirrorlist
## Empty means all in reversed alphabetic order
# Protocols =

## When set to False - all certificates are accepted.
## Use only if you fully trust all ssl-enabled mirrors.
# SSLVerify = True

You can, but if you downgrade the kernel your device will no longer boot. :slight_smile:

I'm currently on arm-unstable branch but I didn't understand how to help you out because all links on this page are for stable or testing... ??

Thanks for your answer.

Downgrade the kernel (or software) is not for me, I'm not a power user :slight_smile:

I built a stable image for the odroid c4, it is working now, the last time I tried it wasn't possible.

[nicolas@nls-pc ~]$ sudo buildarmimg -d oc4 -e kde-plasma -v 20.06.04_01 -n
[sudo] password for nicolas: 
==> Creating image of kde-plasma for oc4...
  -> Downloading latest aarch64 rootfs...
Manjaro-ARM-aarch64-late 100%[==================================>] 184,38M   654KB/s    in 3m 8s   
  -> Extracting aarch64 rootfs...
  -> Setting up keyrings...
  -> Setting branch to arm-stable...
==> Installing packages for kde-plasma edition on oc4...
:: Synchronizing package databases...
 core                            221.7 KiB  1186 KiB/s 00:00 [################################] 100%
 extra                             2.3 MiB   989 KiB/s 00:02 [################################] 100%
 community                         5.0 MiB  1154 KiB/s 00:04 [################################] 100%
:: Starting full system upgrade...
resolving dependencies...

some packages details

 linux-aarch64-rc-5.7.rc7-5...    71.9 MiB  1398 KiB/s 00:53 [################################] 100%
 uboot-odroid-c4-2015.01-3-...   480.5 KiB   487 KiB/s 00:01 [################################] 100%
 zswap-arm-1-1-any                13.2 KiB  0.00   B/s 00:00 [################################] 100%
 mntray-1.1.1-3-aarch64            2.5 MiB  1611 KiB/s 00:02 [################################] 100%
 uboot-odroid-c4-2015.01-3-...   480.5 KiB   487 KiB/s 00:01 [################################] 100%
 oc4-post-install-20200510-...     3.9 KiB  0.00   B/s 00:00 [################################] 100%

So, I'll try this manjaro odroid c4 image this week-end.

I installed the testing update on the c4, it works, nice.

Enjoy.

before the update

[nlc4@c4 ~]$ uname -a
Linux c4.test.2020.05.14 5.7.0-rc7-5-MANJARO-ARM #1 SMP Fri May 29 00:03:11 CEST 2020 aarch64 GNU/Linux
[nlc4@c4 ~]$ uptime
 13:33:12 up 5 days, 22:01,  2 users,  load average: 0,68, 0,50, 0,41
[nlc4@c4 ~]$ date -u
jeu. 04 juin 2020 11:33:25 UTC
[nlc4@c4 ~]$ pacman-mirrors --get-branch
arm-testing
[nlc4@c4 ~]$ sudo pacman -Syyuu
:: Synchronising package databases...
 core                                                             221,9 KiB  2,17 MiB/s 00:00 [#######################################################] 100%
 extra                                                              2,3 MiB  2,49 MiB/s 00:01 [#######################################################] 100%
 community                                                          5,1 MiB  2,70 MiB/s 00:02 [#######################################################] 100%
:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...

Packages (43) ca-certificates-mozilla-3.53-1  convertlit-1.8-10  cryptsetup-2.3.3-1  device-mapper-2.02.187-3  dhcpcd-9.1.0-1  filesystem-2020.05-1
              firefox-ublock-origin-1.27.10-1  gdb-9.2-1  gdb-common-9.2-1  git-2.27.0-1  glib-networking-2.64.3-1  harfbuzz-2.6.7-1  harfbuzz-icu-2.6.7-1
              konsole-20.04.1-3  lcms2-2.10-1  libgpg-error-1.38-1  libgphoto2-2.5.25-1  libheif-1.7.0-1  libnm-1.24.2-1  libqmi-1.24.14-1
              librsvg-2:2.48.6-1  libtommath-1.2.0-3  linux-aarch64-rc-5.7.rc7-8  linux-firmware-20200519.8ba6fa6-1  lvm2-2.02.187-3  md4c-0.4.4-1
              ncdu-1.15-1  networkmanager-1.24.2-1  nss-3.53-1  pamac-cli-9.5.2-1  pamac-common-9.5.2-1  pamac-gtk-9.5.2-1  pamac-tray-appindicator-9.5.2-1
              python-setuptools-1:47.1.1-1  re2-1:20200601-1  systemd-245.6-1  systemd-libs-245.6-1  systemd-sysvcompat-245.6-1  vlc-3.0.10-2
              vte-common-0.60.3-1  vte3-0.60.3-1  vulkan-icd-loader-1.2.141-1  xkeyboard-config-2.30-1

Total Download Size:   216,70 MiB
Total Installed Size:  914,12 MiB
Net Upgrade Size:       30,27 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages...
 filesystem-2020.05-1-aarch64                                       7,7 KiB  0,00   B/s 00:00 [#######################################################] 100%
 libgpg-error-1.38-1-aarch64                                      205,6 KiB  2,01 MiB/s 00:00 [#######################################################] 100%
 systemd-libs-245.6-1-aarch64                                     457,7 KiB  1990 KiB/s 00:00 [#######################################################] 100%
 ca-certificates-mozilla-3.53-1-aarch64                           327,6 KiB  2,13 MiB/s 00:00 [#######################################################] 100%
 device-mapper-2.02.187-3-aarch64                                 259,3 KiB  1729 KiB/s 00:00 [#######################################################] 100%
 cryptsetup-2.3.3-1-aarch64                                       499,7 KiB  2,12 MiB/s 00:00 [#######################################################] 100%
 systemd-245.6-1-aarch64                                            5,0 MiB  2,57 MiB/s 00:02 [#######################################################] 100%
 dhcpcd-9.1.0-1-aarch64                                           178,7 KiB  2,91 MiB/s 00:00 [#######################################################] 100%
 lvm2-2.02.187-3-aarch64                                         1356,9 KiB  2025 KiB/s 00:01 [#######################################################] 100%
 nss-3.53-1-aarch64                                              1325,8 KiB  2,16 MiB/s 00:01 [#######################################################] 100%
 linux-firmware-20200519.8ba6fa6-1-any                             99,7 MiB  2,73 MiB/s 00:36 [#######################################################] 100%
 linux-aarch64-rc-5.7.rc7-8-aarch64                                71,9 MiB  2,76 MiB/s 00:26 [#######################################################] 100%
 systemd-sysvcompat-245.6-1-aarch64                                 8,0 KiB  0,00   B/s 00:00 [#######################################################] 100%
 libtommath-1.2.0-3-aarch64                                        44,7 KiB  4,37 MiB/s 00:00 [#######################################################] 100%
 convertlit-1.8-10-aarch64                                         46,0 KiB  4,49 MiB/s 00:00 [#######################################################] 100%
 gdb-common-9.2-1-aarch64                                          61,7 KiB  6,02 MiB/s 00:00 [#######################################################] 100%
 gdb-9.2-1-aarch64                                                  3,4 MiB  2,47 MiB/s 00:01 [#######################################################] 100%
 git-2.27.0-1-aarch64                                               6,1 MiB  2,65 MiB/s 00:02 [#######################################################] 100%
 glib-networking-2.64.3-1-aarch64                                 123,9 KiB  1376 KiB/s 00:00 [#######################################################] 100%
 harfbuzz-2.6.7-1-aarch64                                         804,1 KiB  2010 KiB/s 00:00 [#######################################################] 100%
 harfbuzz-icu-2.6.7-1-aarch64                                       7,3 KiB  0,00   B/s 00:00 [#######################################################] 100%
 md4c-0.4.4-1-aarch64                                              65,4 KiB  2,13 MiB/s 00:00 [#######################################################] 100%
 xkeyboard-config-2.30-1-any                                      626,7 KiB  2,19 MiB/s 00:00 [#######################################################] 100%
 konsole-20.04.1-3-aarch64                                       1142,7 KiB  2,43 MiB/s 00:00 [#######################################################] 100%
 lcms2-2.10-1-aarch64                                             187,2 KiB  2,61 MiB/s 00:00 [#######################################################] 100%
 libgphoto2-2.5.25-1-aarch64                                     1152,3 KiB  1987 KiB/s 00:01 [#######################################################] 100%
 libheif-1.7.0-1-aarch64                                          187,3 KiB  2,61 MiB/s 00:00 [#######################################################] 100%
 libnm-1.24.2-1-aarch64                                          1025,2 KiB  2,22 MiB/s 00:00 [#######################################################] 100%
 libqmi-1.24.14-1-aarch64                                        1180,2 KiB  2,06 MiB/s 00:01 [#######################################################] 100%
 librsvg-2:2.48.6-1-aarch64                                      1733,4 KiB  2,42 MiB/s 00:01 [#######################################################] 100%
 networkmanager-1.24.2-1-aarch64                                    2,8 MiB  2,35 MiB/s 00:01 [#######################################################] 100%
 vte-common-0.60.3-1-aarch64                                        6,6 KiB  0,00   B/s 00:00 [#######################################################] 100%
 vte3-0.60.3-1-aarch64                                            289,1 KiB  2,17 MiB/s 00:00 [#######################################################] 100%
 python-setuptools-1:47.1.1-1-any                                 296,9 KiB  1980 KiB/s 00:00 [#######################################################] 100%
 pamac-common-9.5.2-1-aarch64                                     431,3 KiB  2,34 MiB/s 00:00 [#######################################################] 100%
 pamac-cli-9.5.2-1-aarch64                                         46,1 KiB  4,50 MiB/s 00:00 [#######################################################] 100%
 pamac-gtk-9.5.2-1-aarch64                                        123,3 KiB  2,41 MiB/s 00:00 [#######################################################] 100%
 pamac-tray-appindicator-9.5.2-1-aarch64                           15,6 KiB  0,00   B/s 00:00 [#######################################################] 100%
 re2-1:20200601-1-aarch64                                         147,3 KiB  1841 KiB/s 00:00 [#######################################################] 100%
 vulkan-icd-loader-1.2.141-1-aarch64                               94,1 KiB  2,30 MiB/s 00:00 [#######################################################] 100%
 vlc-3.0.10-2-aarch64                                              10,9 MiB  2,75 MiB/s 00:04 [#######################################################] 100%
 firefox-ublock-origin-1.27.10-1-any                                2,8 MiB  2,60 MiB/s 00:01 [#######################################################] 100%
 ncdu-1.15-1-aarch64                                               40,3 KiB  3,93 MiB/s 00:00 [#######################################################] 100%
(43/43) checking keys in keyring                                                              [#######################################################] 100%
(43/43) checking package integrity                                                            [#######################################################] 100%
(43/43) loading package files                                                                 [#######################################################] 100%
(43/43) checking for file conflicts                                                           [#######################################################] 100%
(43/43) checking available disk space                                                         [#######################################################] 100%
warning: could not get file information for var/log/old/
warning: could not get file information for usr/lib/systemd/system/systemd-firstboot.service
warning: could not get file information for var/log/journal/
:: Processing package changes...
( 1/43) upgrading filesystem                                                                  [#######################################################] 100%
( 2/43) upgrading libgpg-error                                                                [#######################################################] 100%
( 3/43) upgrading systemd-libs                                                                [#######################################################] 100%
( 4/43) upgrading ca-certificates-mozilla                                                     [#######################################################] 100%
( 5/43) upgrading libtommath                                                                  [#######################################################] 100%
( 6/43) upgrading convertlit                                                                  [#######################################################] 100%
( 7/43) upgrading device-mapper                                                               [#######################################################] 100%
( 8/43) upgrading cryptsetup                                                                  [#######################################################] 100%
( 9/43) upgrading systemd                                                                     [#######################################################] 100%
(10/43) upgrading dhcpcd                                                                      [#######################################################] 100%
(11/43) upgrading firefox-ublock-origin                                                       [#######################################################] 100%
(12/43) upgrading gdb-common                                                                  [#######################################################] 100%
(13/43) upgrading gdb                                                                         [#######################################################] 100%
(14/43) upgrading git                                                                         [#######################################################] 100%
(15/43) upgrading glib-networking                                                             [#######################################################] 100%
(16/43) upgrading harfbuzz                                                                    [#######################################################] 100%
(17/43) upgrading harfbuzz-icu                                                                [#######################################################] 100%
(18/43) upgrading md4c                                                                        [#######################################################] 100%
(19/43) upgrading xkeyboard-config                                                            [#######################################################] 100%
(20/43) upgrading lvm2                                                                        [#######################################################] 100%
(21/43) upgrading nss                                                                         [#######################################################] 100%
(22/43) upgrading konsole                                                                     [#######################################################] 100%
(23/43) upgrading lcms2                                                                       [#######################################################] 100%
(24/43) upgrading libgphoto2                                                                  [#######################################################] 100%
(25/43) upgrading libheif                                                                     [#######################################################] 100%
(26/43) upgrading libnm                                                                       [#######################################################] 100%
(27/43) upgrading libqmi                                                                      [#######################################################] 100%
(28/43) upgrading librsvg                                                                     [#######################################################] 100%
(29/43) upgrading linux-firmware                                                              [#######################################################] 100%
(30/43) upgrading linux-aarch64-rc                                                            [#######################################################] 100%
(31/43) upgrading ncdu                                                                        [#######################################################] 100%
(32/43) upgrading networkmanager                                                              [#######################################################] 100%
New optional dependencies for networkmanager
    firewalld: Firewall support
(33/43) upgrading vte-common                                                                  [#######################################################] 100%
(34/43) upgrading vte3                                                                        [#######################################################] 100%
(35/43) upgrading python-setuptools                                                           [#######################################################] 100%
(36/43) upgrading pamac-common                                                                [#######################################################] 100%
(37/43) upgrading pamac-cli                                                                   [#######################################################] 100%
(38/43) upgrading pamac-gtk                                                                   [#######################################################] 100%
(39/43) upgrading pamac-tray-appindicator                                                     [#######################################################] 100%
(40/43) upgrading re2                                                                         [#######################################################] 100%
(41/43) upgrading systemd-sysvcompat                                                          [#######################################################] 100%
(42/43) upgrading vulkan-icd-loader                                                           [#######################################################] 100%
(43/43) upgrading vlc                                                                         [#######################################################] 100%
:: Running post-transaction hooks...
( 1/22) Creating system user accounts...
( 2/22) Updating journal message catalog...
( 3/22) Reloading system manager configuration...
( 4/22) Updating udev hardware database...
( 5/22) Applying kernel sysctl settings...
( 6/22) Creating temporary files...
( 7/22) Reloading device manager configuration...
( 8/22) Arming ConditionNeedsUpdate...
( 9/22) Updating module dependencies...
(10/22) Updating linux-aarch64-rc module dependencies...
(11/22) Updating linux-aarch64-rc initcpios...
==> Building image from preset: /etc/mkinitcpio.d/linux-aarch64-rc.preset: 'default'
  -> -k 5.7.0-rc7-8-MANJARO-ARM -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
==> Starting build: 5.7.0-rc7-8-MANJARO-ARM
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [autodetect]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [filesystems]
  -> Running build hook: [keyboard]
  -> Running build hook: [fsck]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-linux.img
==> Image generation successful
(12/22) Updating linux initcpios...
==> Building image from preset: /etc/mkinitcpio.d/linux-aarch64-rc.preset: 'default'
  -> -k 5.7.0-rc7-8-MANJARO-ARM -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
==> Starting build: 5.7.0-rc7-8-MANJARO-ARM
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [autodetect]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [filesystems]
  -> Running build hook: [keyboard]
  -> Running build hook: [fsck]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-linux.img
==> Image generation successful
(13/22) Updating uimg initcpios...
Image Name:   Ramdisk Image
Created:      Thu Jun  4 13:37:14 2020
Image Type:   AArch64 Linux RAMDisk Image (uncompressed)
Data Size:    7853497 Bytes = 7669.43 KiB = 7.49 MiB
Load Address: 00000000
Entry Point:  00000000
(14/22) Reloading system bus configuration...
(15/22) Probing GDK-Pixbuf loader modules...
(16/22) Updating GIO module cache...
(17/22) Updating icon theme caches...
(18/22) Updating the info directory file...
(19/22) Rebuilding certificate stores...
(20/22) Updating the desktop file MIME type cache...
(21/22) Updating the MIME type database...
(22/22) Updating the vlc plugin cache...
[nlc4@c4 ~]$ reboot

after the update

[nlc4@c4 ~]$ uname -a
Linux c4.test.2020.05.14 5.7.0-rc7-8-MANJARO-ARM #1 SMP Sat May 30 22:55:31 CEST 2020 aarch64 GNU/Linux
[nlc4@c4 ~]$ uptime
 13:41:43 up 1 min,  2 users,  load average: 1,03, 0,47, 0,18
[nlc4@c4 ~]$ date -u
jeu. 04 juin 2020 11:41:50 UTC
[nlc4@c4 ~]$ pacman-mirrors --get-branch
arm-testing
[nlc4@c4 ~]$ sudo pacman -Syyuu
[sudo] password for nlc4: 
:: Synchronising package databases...
 core                                                             221,9 KiB  2,41 MiB/s 00:00 [#######################################################] 100%
 extra                                                              2,3 MiB  2,89 MiB/s 00:01 [#######################################################] 100%
 community                                                          5,1 MiB  2,87 MiB/s 00:02 [#######################################################] 100%
:: Starting full system upgrade...
 there is nothing to do
[nlc4@c4 ~]$

As you are on arm-unstable, you are on the very edge of our software repo.

This branch usually syncs every day and it's the branch where we update our packages directly.

You can help out on this branch, by reporting issues you find, either in #manjaro-arm:general-discussion or #manjaro-arm:bug-reports. Then we have time to fix it before it hits stable.

1 Like

I switched to the unstable. I see that gnome was updated. Can I use gnome on Arm?

You can yes.

I have no idea how it runs though.

1 Like

I will give it a try, Thanks

Is there a way to go back and view the output of sudo pacman-mirrors -f5 && sudo pacman -Syyu after its been ran and the terminal session has been ended and the system rebooted?

I had a couple errors during the upgrade after switching to testing, and I was having the issue of not being able to view or save anything under my home dir until reboot.

Everything works now, but wanted to report the output.

You can check the pacman log of what it's been installing/updating.

/var/log/pacman.log

It was late this morning when it happened so I was tired but it wasn't an error.

[ALPM] warning: directory permissions differ on /var/lib/AccountsService/icons/
filesystem: 755  package: 775

It was just a warning. But I am sure you are aware of the other issue I described, where you cannot use Dolphin. It only happens on a fresh install or after an upgrade, and resolves itself after a reboot.

I haven't encountered that Dolphin issue in my testing.

Any errors if it's launched by terminal?

update successful for C2 & N2; xfce, 5.7, sysd245

thank you for your work

C2
OS: Manjaro ARM Linux 20.06 aarch64 
Host: Hardkernel ODROID-C2 
Kernel: 5.7.0-1-MANJARO-ARM 
Packages: 722 (pacman) 
Shell: bash 5.0.17 
Terminal: /dev/pts/0 
CPU: (4) 
Memory: 99MiB / 1897MiB 
CPU Usage: 28% 
Disk (/): 5.3G / 6.9G (80%) 
##
System:    Kernel: 5.7.0-1-MANJARO-ARM aarch64 bits: 64 compiler: gcc v: 9.3.0 
           parameters: initrd=/initramfs-linux.img console=tty1 console=ttyAML0,115200n8 root=LABEL=ROOT_MNJRO rw rootwait 
           bootsplash.bootfile=bootsplash-themes/manjaro/bootsplash 
           Console: tty 0 dm: LightDM 1.30.0 Distro: Manjaro ARM 
Machine:   Type: ARM Device System: Hardkernel ODROID-C2 details: N/A serial: <filter> 
CPU:       Topology: Quad Core model: N/A variant: cortex-a53 bits: 64 type: MCP arch: ARMv8 family: 8 model-id: N/A 
           stepping: 4 microcode: N/A 
           features: Use -f option to see features bogomips: 0 
           Speed: N/A min/max: N/A Core speeds (MHz): No speed data found for 4 cores. 
           Vulnerabilities: Type: itlb_multihit status: Not affected 
           Type: l1tf status: Not affected 
           Type: mds status: Not affected 
           Type: meltdown status: Not affected 
           Type: spec_store_bypass status: Not affected 
           Type: spectre_v1 mitigation: __user pointer sanitization 
           Type: spectre_v2 status: Not affected 
           Type: tsx_async_abort status: Not affected 
Graphics:  Device-1: meson-gxbb-dw-hdmi driver: meson_dw_hdmi v: kernel bus ID: N/A chip ID: amlogic:c883a000 
           Device-2: meson-gxbb-mali driver: lima v: kernel bus ID: N/A chip ID: amlogic:d00c0000 
           Display: server: X.org 1.20.8 driver: fbturbo tty: 140x40 
           Message: Unable to show advanced data. Required tool glxinfo missing. 
Audio:     Device-1: meson-gxbb-dw-hdmi driver: meson_dw_hdmi v: kernel bus ID: N/A chip ID: amlogic:c883a000 
           Sound Server: ALSA v: k5.7.0-1-MANJARO-ARM 
Network:   Device-1: meson-gxbb-dwmac driver: meson8b_dwmac v: N/A port: N/A bus ID: N/A chip ID: amlogic:c9410000 
           IF: eth0 state: up speed: 1000 Mbps duplex: full mac: <filter> 
Drives:    Local Storage: total: 7.28 GiB used: 5.26 GiB (72.2%) 
           ID-1: /dev/mmcblk0 model: 8GME4R size: 7.28 GiB block size: physical: 512 B logical: 512 B serial: <filter> 
           rev: 0x8 scheme: MBR 
Partition: ID-1: / raw size: 7.04 GiB size: 6.87 GiB (97.57%) used: 5.20 GiB (75.7%) fs: ext4 dev: /dev/mmcblk0p2 
           ID-2: /boot raw size: 213.6 MiB size: 213.4 MiB (99.89%) used: 54.9 MiB (25.7%) fs: vfat dev: /dev/mmcblk0p1 
Sensors:   Message: No sensors data was found. Is sensors configured? 
Info:      Processes: 115 Uptime: 8m Memory: 1.85 GiB used: 133.9 MiB (7.1%) Init: systemd v: 245 Compilers: gcc: 9.3.0 
           Shell: bash v: 5.0.17 running in: tty 0 (SSH) inxi: 3.0.37
N2
OS: Manjaro ARM Linux 20.06 aarch64 
Host: Hardkernel ODROID-N2 
Kernel: 5.7.0-1-MANJARO-ARM 
Packages: 1087 (pacman) 
Shell: bash 5.0.17 
Terminal: /dev/pts/0 
CPU: (6) @ 1.896GHz 
Memory: 271MiB / 3628MiB 
CPU Usage: 43% 
Disk (/): 18G / 57G (33%) 
##
System:    Kernel: 5.7.0-1-MANJARO-ARM aarch64 bits: 64 compiler: gcc v: 9.3.0 
           parameters: root=LABEL=ROOT rootwait rw console=ttyAML0,115200n8 no_console_suspend fsck.repair=yes net.ifnames=0 
           clk_ignore_unused bootsplash.bootfile=bootsplash-themes/manjaro/bootsplash 
           Console: tty 0 dm: LightDM 1.30.0 Distro: Manjaro ARM 
Machine:   Type: ARM Device System: Hardkernel ODROID-N2 details: N/A 
CPU:       Topology: 6-Core (2-Die) model: N/A variant-1: cortex-a73 variant-2: cortex-a53 bits: 64 type: MCP MCM arch: ARMv8 
           family: 8 model-id: N/A stepping: 4 microcode: N/A 
           features: Use -f option to see features bogomips: 0 
           Speed: 100 MHz min/max: 100/1896 MHz Core speeds (MHz): 1: 100 2: 100 
           Vulnerabilities: Type: itlb_multihit status: Not affected 
           Type: l1tf status: Not affected 
           Type: mds status: Not affected 
           Type: meltdown status: Not affected 
           Type: spec_store_bypass status: Vulnerable 
           Type: spectre_v1 mitigation: __user pointer sanitization 
           Type: spectre_v2 status: Vulnerable 
           Type: tsx_async_abort status: Not affected 
Graphics:  Device-1: meson-g12a-mali driver: N/A bus ID: N/A chip ID: amlogic:ffe40000 
           Device-2: meson-g12a-dw-hdmi driver: meson_dw_hdmi v: kernel bus ID: N/A chip ID: amlogic:ff600000 
           Display: server: X.org 1.20.8 driver: modesetting alternate: fbdev tty: 140x40 
           Message: Advanced graphics data unavailable in console. Try -G --display 
Audio:     Device-1: meson-g12a-dw-hdmi driver: meson_dw_hdmi v: kernel bus ID: N/A chip ID: amlogic:ff600000 
           Device-2: axg-sound-card driver: N/A bus ID: N/A chip ID: amlogic:sound 
           Sound Server: ALSA v: k5.7.0-1-MANJARO-ARM 
Network:   Device-1: meson-axg-dwmac driver: meson8b_dwmac v: N/A port: N/A bus ID: N/A chip ID: amlogic:ff3f0000 
           IF: eth0 state: up speed: 1000 Mbps duplex: full mac: <filter> 
Drives:    Local Storage: total: 58.24 GiB used: 17.61 GiB (30.2%) 
           ID-1: /dev/mmcblk0 model: CJTD4R size: 58.24 GiB block size: physical: 512 B logical: 512 B serial: <filter> 
           rev: 0x8 scheme: MBR 
Partition: ID-1: / raw size: 58.00 GiB size: 56.84 GiB (98.00%) used: 17.55 GiB (30.9%) fs: ext4 dev: /dev/mmcblk0p2 
           ID-2: /boot raw size: 213.6 MiB size: 213.4 MiB (99.89%) used: 62.5 MiB (29.3%) fs: vfat dev: /dev/mmcblk0p1 
Sensors:   Message: No sensors data was found. Is sensors configured? 
Info:      Processes: 151 Uptime: 9m Memory: 3.54 GiB used: 328.8 MiB (9.1%) Init: systemd v: 245 Compilers: gcc: 9.3.0 
           clang: 10.0.0 Shell: bash v: 5.0.17 running in: tty 0 (SSH) inxi: 3.0.37
1 Like

So, it's only only on the pi 4, may not be due to being on "testing", I think it's really only after a fresh install. I will try to make time tonight to do a fresh install and see if I can re-create the issue. I will take screenshots this time. It's happened more than once so I figured the issue would be known.

So testing and unstable works for all images? I'm on VIM2 as "advertised" in the VIM2 thread plus updates.

Yes. All official Manjaro ARM images can use all 3 branches. :slight_smile:

Great!

Feeling adventurous, which of the two is most helpful for you guys?

Forum kindly sponsored by